Returns all form submissions data for the specified list of IDs.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Form Submissions under the Forms category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/form-submissions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2019-06-13T19:08:25Z",
"fields": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"type": "number",
"assetValue": {
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
}
},
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"geofenceValue": {
"geofence": {
"entryType": "tracked",
"address": "123 Main St, Anytown, USA 12345",
"externalIds": {},
"id": "1234567890",
"name": "Geofence Name"
}
},
"issue": {
"id": "12345",
"externalIds": {}
},
"label": "Engine Hours",
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"mediaValue": {
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
]
},
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"note": "Fire and oil can lead to an accident.",
"numberValue": {
"value": 123.456
},
"personValue": {
"person": {
"entryType": "tracked",
"name": "Jake",
"polymorphicUserId": {
"id": "938172",
"type": "driver"
}
}
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"tableValue": {
"columns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Store Number",
"type": "number"
}
],
"rows": [
{
"cells": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "number",
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"mediaValue": {
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
]
},
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"numberValue": {
"value": 123.456
},
"personValue": {
"person": {
"entryType": "tracked",
"name": "Jake",
"polymorphicUserId": {
"id": "938172",
"type": "driver"
}
}
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"textValue": {
"value": "Exposed wires"
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"textValue": {
"value": "Exposed wires"
}
}
],
"formTemplate": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"isRequired": true,
"status": "notStarted",
"submittedAtTime": "2019-06-13T19:08:25Z",
"submittedBy": {
"id": "938172",
"type": "driver"
},
"updatedAtTime": "2019-06-13T19:08:25Z",
"approvalDetails": {
"comment": "Requesting some changes to the submission."
},
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
},
"assignedAtTime": "2019-06-13T19:08:25Z",
"assignedTo": {
"id": "938172",
"type": "driver"
},
"dueAtTime": "2019-06-13T19:08:25Z",
"externalIds": {},
"geofence": {
"entryType": "tracked",
"address": "123 Main St, Anytown, USA 12345",
"externalIds": {},
"id": "1234567890",
"name": "Geofence Name"
},
"location": {
"latitude": 12333122.3,
"longitude": 1233331.4
},
"routeId": "123456789",
"routeStopId": "987654321",
"score": {
"maxPoints": 80,
"scorePercent": 75,
"scorePoints": 60
},
"title": "Form Submission Title"
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A comma-separated list containing up to 100 form submission IDs to filter on. Can be either a unique Samsara ID or an external ID for the form submission.
A comma-separated list of strings indicating whether to return additional information. Valid values: externalIds
OK response.
List of form submissions.
Show child attributes
curl --request GET \
--url https://api.samsara.com/form-submissions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2019-06-13T19:08:25Z",
"fields": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"type": "number",
"assetValue": {
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
}
},
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"geofenceValue": {
"geofence": {
"entryType": "tracked",
"address": "123 Main St, Anytown, USA 12345",
"externalIds": {},
"id": "1234567890",
"name": "Geofence Name"
}
},
"issue": {
"id": "12345",
"externalIds": {}
},
"label": "Engine Hours",
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"mediaValue": {
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
]
},
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"note": "Fire and oil can lead to an accident.",
"numberValue": {
"value": 123.456
},
"personValue": {
"person": {
"entryType": "tracked",
"name": "Jake",
"polymorphicUserId": {
"id": "938172",
"type": "driver"
}
}
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"tableValue": {
"columns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Store Number",
"type": "number"
}
],
"rows": [
{
"cells": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "number",
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"mediaValue": {
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
]
},
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"numberValue": {
"value": 123.456
},
"personValue": {
"person": {
"entryType": "tracked",
"name": "Jake",
"polymorphicUserId": {
"id": "938172",
"type": "driver"
}
}
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"textValue": {
"value": "Exposed wires"
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"textValue": {
"value": "Exposed wires"
}
}
],
"formTemplate": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"isRequired": true,
"status": "notStarted",
"submittedAtTime": "2019-06-13T19:08:25Z",
"submittedBy": {
"id": "938172",
"type": "driver"
},
"updatedAtTime": "2019-06-13T19:08:25Z",
"approvalDetails": {
"comment": "Requesting some changes to the submission."
},
"asset": {
"entryType": "tracked",
"externalIds": {},
"id": "281474982859091",
"name": "trailer 123"
},
"assignedAtTime": "2019-06-13T19:08:25Z",
"assignedTo": {
"id": "938172",
"type": "driver"
},
"dueAtTime": "2019-06-13T19:08:25Z",
"externalIds": {},
"geofence": {
"entryType": "tracked",
"address": "123 Main St, Anytown, USA 12345",
"externalIds": {},
"id": "1234567890",
"name": "Geofence Name"
},
"location": {
"latitude": 12333122.3,
"longitude": 1233331.4
},
"routeId": "123456789",
"routeStopId": "987654321",
"score": {
"maxPoints": 80,
"scorePercent": 75,
"scorePoints": 60
},
"title": "Form Submission Title"
}
]
}